Debian Bug report logs - #571027
manpages-fr-extra: ships man/fr/update-rc.d.8.gz, also shipped by sysv-rc 0:2.86.ds1-61

version graph

Package: manpages-fr-extra; Maintainer for manpages-fr-extra is Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>; Source for manpages-fr-extra is src:manpages-fr-extra.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Mon, 22 Feb 2010 22:12:05 UTC

Severity: serious

Tags: patch

Found in version manpages-fr-extra/20090906

Fixed in version manpages-fr-extra/20091227

Done: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Mon, 22 Feb 2010 22:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Mon, 22 Feb 2010 22:12:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-fr-extra: ships man/fr/update-rc.d.8.gz, also shipped by sysv-rc 0:2.86.ds1-61
Date: Mon, 22 Feb 2010 23:07:12 +0100
[Message part 1 (text/plain, inline)]
Package: manpages-fr-extra
Version: 20090906
Severity: serious
Justification: Policy 6.6

Upgrade from lenny to sid failed with the following error:

dpkg: error processing /var/cache/apt/archives/manpages-fr-extra_20090906_all.deb (--unpack):
 trying to overwrite '/usr/share/man/fr/man8/update-rc.d.8.gz', which is also in package sysv-rc 0:2.86.ds1-61

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Tue, 16 Mar 2010 10:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Tue, 16 Mar 2010 10:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 571027@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 571027@bugs.debian.org
Subject: Patch for this file conflict bug...
Date: Tue, 16 Mar 2010 17:50:57 +0700
[Message part 1 (text/plain, inline)]
tags 571027 patch
thanks

This bug will only appear on lenny->sid upgrades because the version in
lenny is 2.86.ds1-61, that has the offending manpage. It was removed
later on in sysv-rc package development. Beware the sysv-rc
maintainers disabled the inclusion of the manpage, but only
temporarily, so that problem might pop up again later non.

I think this can be fixed with a "Breaks" statement, that will force
sysv-rc to be updated prior to the update of manpages-fr-extra.

-- 



[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Tue, 16 Mar 2010 10:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Fri, 19 Mar 2010 10:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Fri, 19 Mar 2010 10:57:09 GMT) Full text and rfc822 format available.

Message #17 received at 571027@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 571027@bugs.debian.org
Subject: Re: Patch for this file conflict bug...
Date: Fri, 19 Mar 2010 05:54:56 -0500
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:

> This bug will only appear on lenny->sid upgrades because the version in
> lenny is 2.86.ds1-61, that has the offending manpage. It was removed
> later on in sysv-rc package development. Beware the sysv-rc
> maintainers disabled the inclusion of the manpage, but only
> temporarily, so that problem might pop up again later non.
> 
> I think this can be fixed with a "Breaks" statement, that will force
> sysv-rc to be updated prior to the update of manpages-fr-extra.

I worry that that is not completely robust: a "Breaks" would would
force sysv-rc to be updated prior to configuring the updated
manpages-fr-extra, but it doesn’t enforce the appropriate unpacking
order when upgrading with dpkg.

I think a "Replaces" should be good enough.  After all, this doesn’t
actually break the old sysv-rc version.

Would something like this work?  Using unversioned Replaces like
this is only appropriate if we know that sysv-rc should not overwrite
any files from manpages-fr-extra in squeeze or squeeze+1.  I suspect
we do know that.

Jonathan
[add-replaces.diff (text/plain, inline)]
Index: debian/control
===================================================================
--- debian/control	(revision 2102)
+++ debian/control	(working copy)
@@ -14,6 +14,7 @@
 Priority: optional
 Replaces: manpages-fr (<< 2.33.2-1), belocs-locales-bin (<< 2.4-3)
 Recommends: manpages-fr
+Replaces: sysv-rc
 Suggests: man-db | man-browser, manpages-fr-dev
 Description: French version of the manual pages
  French translation of manual pages found in manpages and manpages-dev
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 2102)
+++ debian/changelog	(working copy)
@@ -9,6 +9,11 @@
   [ Simon Paillard ]
   * Fix [2-9]ème in [2-9]e
 
+  [ Christian Perrier ]
+  * Add "Replaces: sysv-rc" to allow safe upgrades from lenny as
+    sysv-rc is providing /usr/share/man/fr/man8/update-rc.d.8.gz
+    Closes: #571027
+
  -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 22 Jan 2010 23:30:57 +0100
 
 manpages-fr-extra (20090906) unstable; urgency=low

Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Fri, 19 Mar 2010 11:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Fri, 19 Mar 2010 11:48:10 GMT) Full text and rfc822 format available.

Message #22 received at 571027@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 571027@bugs.debian.org
Subject: Re: Bug#571027: Patch for this file conflict bug...
Date: Fri, 19 Mar 2010 12:47:14 +0100
Hello,

On Fri, Mar 19, 2010 at 05:54:56AM -0500, jrnieder@gmail.com wrote:
> 
> I think a "Replaces" should be good enough.  After all, this doesn’t
> actually break the old sysv-rc version.
> 
> Would something like this work?  Using unversioned Replaces like
> this is only appropriate if we know that sysv-rc should not overwrite
> any files from manpages-fr-extra in squeeze or squeeze+1.  I suspect
> we do know that.

Yes, it should be a Replace, but a versionned one would be better as the
best solution would be to have the manpages distributed in the sysv-rc
package.

-- 
Nekral




Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Fri, 19 Mar 2010 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Fri, 19 Mar 2010 12:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 571027@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 571027@bugs.debian.org
Subject: Re: Patch for this file conflict bug...
Date: Fri, 19 Mar 2010 19:09:48 +0700
[Message part 1 (text/plain, inline)]
Quoting Jonathan Nieder (jrnieder@gmail.com):

> > I think this can be fixed with a "Breaks" statement, that will force
> > sysv-rc to be updated prior to the update of manpages-fr-extra.
> 
> I worry that that is not completely robust: a "Breaks" would would
> force sysv-rc to be updated prior to configuring the updated
> manpages-fr-extra, but it doesn’t enforce the appropriate unpacking
> order when upgrading with dpkg.

Ah, right.

> I think a "Replaces" should be good enough.  After all, this doesn’t
> actually break the old sysv-rc version.

I was balanced about these choices and they show the limits of my
knowledge, sometimes, when it comes at package dependencies.

Does this guarantee that, after the update, sysv-rc will still be on
the system?

> Would something like this work?  Using unversioned Replaces like
> this is only appropriate if we know that sysv-rc should not overwrite
> any files from manpages-fr-extra in squeeze or squeeze+1.  I suspect
> we do know that.


Sure. The said manpage was the only one causing this problem.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Fri, 19 Mar 2010 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Fri, 19 Mar 2010 12:42:06 GMT) Full text and rfc822 format available.

Message #32 received at 571027@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Nicolas François <nicolas.francois@centraliens.net>
Cc: 571027@bugs.debian.org
Subject: Re: Bug#571027: Patch for this file conflict bug...
Date: Fri, 19 Mar 2010 07:41:50 -0500
[Message part 1 (text/plain, inline)]
Nicolas François wrote:
> On Fri, Mar 19, 2010 at 05:54:56AM -0500, jrnieder@gmail.com wrote:

>> Using unversioned Replaces like
>> this is only appropriate if we know that sysv-rc should not overwrite
>> any files from manpages-fr-extra in squeeze or squeeze+1.  I suspect
>> we do know that.
>
> Yes, it should be a Replace, but a versionned one would be better as the
> best solution would be to have the manpages distributed in the sysv-rc
> package.

So exactly the opposite of my suspicion was true!  Makes sense; I should
have thought about it more.  Here’s an updated patch.
[add-replaces-v2.patch (text/plain, inline)]
Index: debian/control
===================================================================
--- debian/control	(revision 2102)
+++ debian/control	(working copy)
@@ -12,7 +12,8 @@
 Architecture: all
 Section: doc
 Priority: optional
-Replaces: manpages-fr (<< 2.33.2-1), belocs-locales-bin (<< 2.4-3)
+Replaces: manpages-fr (<< 2.33.2-1), belocs-locales-bin (<< 2.4-3),
+	sysv-rc (<< 2.87dsf-3)
 Recommends: manpages-fr
 Suggests: man-db | man-browser, manpages-fr-dev
 Description: French version of the manual pages
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 2102)
+++ debian/changelog	(working copy)
@@ -9,6 +9,11 @@
   [ Simon Paillard ]
   * Fix [2-9]ème in [2-9]e
 
+  [ Christian Perrier ]
+  * Add "Replaces: sysv-rc (<< 2.87dsf-3)" to allow safe upgrades from
+    lenny as sysv-rc is providing /usr/share/man/fr/man8/update-rc.d.8.gz
+    Closes: #571027
+
  -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 22 Jan 2010 23:30:57 +0100
 
 manpages-fr-extra (20090906) unstable; urgency=low

Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Fri, 19 Mar 2010 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Fri, 19 Mar 2010 13:12:06 GMT) Full text and rfc822 format available.

Message #37 received at 571027@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 571027@bugs.debian.org
Subject: Re: Patch for this file conflict bug...
Date: Fri, 19 Mar 2010 08:10:39 -0500
Christian PERRIER wrote:
> Quoting Jonathan Nieder (jrnieder@gmail.com):

>> I think a "Replaces" should be good enough.  After all, this doesn’t
>> actually break the old sysv-rc version.
>
> I was balanced about these choices and they show the limits of my
> knowledge, sometimes, when it comes at package dependencies.
> 
> Does this guarantee that, after the update, sysv-rc will still be on
> the system?

Yes, the only thing it does is to allow manpages-fr-extra to take over
files from sysv-rc.

There is a downside: if someone installs sysv-rc/lenny with
manpages-fr-extra/squeeze and then uninstalls or downgrades
manpages-fr-extra, then the update-rc.d manpage goes missing until
manpages-fr-extra is reinstalled.  Once can prevent this by forcing a
sysv-rc upgrade (at least for apt users) using Breaks in addition to the
Replaces.  That might be a good idea, too.

See http://bugs.debian.org/557929 for a more serious example of this
consideration.

À plus,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Bug#571027; Package manpages-fr-extra. (Fri, 19 Mar 2010 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>. (Fri, 19 Mar 2010 13:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 571027@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 571027@bugs.debian.org
Subject: Re: Patch for this file conflict bug...
Date: Fri, 19 Mar 2010 08:16:28 -0500
Jonathan Nieder wrote:

> There is a downside: if someone installs sysv-rc/lenny with
> manpages-fr-extra/squeeze and then uninstalls or downgrades
> manpages-fr-extra, then the update-rc.d manpage goes missing until
> manpages-fr-extra is reinstalled.  Once can prevent this by forcing a
          upgraded or ^            One ^

Sorry for the confusion.  I’m off to sleep.

Thank you for your dedication, both.  It is impressive to see.
Jonathan




Reply sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
You have taken responsibility. (Sat, 17 Apr 2010 13:36:08 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 17 Apr 2010 13:36:08 GMT) Full text and rfc822 format available.

Message #47 received at 571027-close@bugs.debian.org (full text, mbox):

From: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
To: 571027-close@bugs.debian.org
Subject: Bug#571027: fixed in manpages-fr-extra 20091227
Date: Sat, 17 Apr 2010 13:34:24 +0000
Source: manpages-fr-extra
Source-Version: 20091227

We believe that the bug you reported is fixed in the latest version of
manpages-fr-extra, which is due to be installed in the Debian FTP archive:

manpages-fr-extra_20091227.dsc
  to main/m/manpages-fr-extra/manpages-fr-extra_20091227.dsc
manpages-fr-extra_20091227.tar.gz
  to main/m/manpages-fr-extra/manpages-fr-extra_20091227.tar.gz
manpages-fr-extra_20091227_all.deb
  to main/m/manpages-fr-extra/manpages-fr-extra_20091227_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571027@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net> (supplier of updated manpages-fr-extra package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Apr 2010 22:09:12 +0200
Source: manpages-fr-extra
Binary: manpages-fr-extra
Architecture: source all
Version: 20091227
Distribution: unstable
Urgency: low
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Changed-By: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Description: 
 manpages-fr-extra - French version of the manual pages
Closes: 558699 566322 571027
Changes: 
 manpages-fr-extra (20091227) unstable; urgency=low
 .
   [ Nicolas FRANCOIS ]
   * Fix encoding of openssl manpages.
   * coreutils: Fixed wrong non breaking spaces. Closes: #558699
   * findutils: Fixed typo in xargs(1) -O is -0. Closes: #566322
   * x11-xserver-utils: New translations.
   * debian/control: Standards-Version bumped to 3.8.4 (no changes).
   * debian/control: Added dependency on ${misc:Depends}, even if I assume
     there would be no dependencies for a manpages package.
 .
   [ Simon Paillard ]
   * Fix [2-9]ème in [2-9]e
 .
   [ Christian Perrier ]
   * Add "Replaces: sysv-rc (<< 2.87dsf-3)" to allow safe upgrades from
     lenny as sysv-rc is providing /usr/share/man/fr/man8/update-rc.d.8.gz
     Closes: #571027
Checksums-Sha1: 
 f6710de1f06f412e0b508314117e6ef4963511c0 1016 manpages-fr-extra_20091227.dsc
 2667035e58be8407e081357fd7e8fef5d88c8100 7119261 manpages-fr-extra_20091227.tar.gz
 f0ad675ca28f2c3ddcb56b090abdf9069845230a 1174172 manpages-fr-extra_20091227_all.deb
Checksums-Sha256: 
 c3c0f8f6fd1ce0b4b40c4681755b1404a01073992da5f2596802fa7522125624 1016 manpages-fr-extra_20091227.dsc
 4ac45600119848c1add8ab6146b69b3e881bc9730d2ad351885170815666bafb 7119261 manpages-fr-extra_20091227.tar.gz
 62acbdcd47801cd3c3cd6e2638f335638af2f490590afb716e1dc07fd260fe1e 1174172 manpages-fr-extra_20091227_all.deb
Files: 
 581f87af460a84af6dd7c224c3783354 1016 doc optional manpages-fr-extra_20091227.dsc
 fc2fb6868e1cd34bf515f77606a12360 7119261 doc optional manpages-fr-extra_20091227.tar.gz
 72aa388b5c54a79473c7e196ef2c893f 1174172 doc optional manpages-fr-extra_20091227_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvJs10ACgkQWgo5mup89a1s7wCdHodlTpwLoECLewBPnZJyo/uA
vooAoIRmfsamVCRXFSy4TaY0yT212+I9
=vzqZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 May 2010 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:30:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.